使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题

这篇具有很好参考价值的文章主要介绍了使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题。希望对大家有所帮助。如果存在错误或未考虑完全的地方,请大家不吝赐教,您也可以点击"举报违法"按钮提交疑问。

使用npm install -g @vue/cli 命令安装最新的脚手架
创建项目时不要选择Vue版本,让它默认选择(默认选择 Vue2)否则会出现 vue版本和脚手架版本vue-cli 不兼容的问题(怪哉)
脚手架兼容vue2 不兼容vue3 ? 不理解,记录一下,后续整理

Vue-cli版本

使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题,vue,vue.js,npm,前端

vue 版本

使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题,vue,vue.js,npm,前端

创建项目时 ,选择默认不要选择 vue版本(默认创建的vue2)

使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题,vue,vue.js,npm,前端

!使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题,vue,vue.js,npm,前端

去掉 选择Vue版本

使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题,vue,vue.js,npm,前端文章来源地址https://www.toymoban.com/news/detail-518417.html

到了这里,关于使用npm install -g @vue/cli 命令安装最新的脚手架与Vue版本不匹配的问题的文章就介绍完了。如果您还想了解更多内容,请在右上角搜索TOY模板网以前的文章或继续浏览下面的相关文章,希望大家以后多多支持TOY模板网!

本文来自互联网用户投稿,该文观点仅代表作者本人,不代表本站立场。本站仅提供信息存储空间服务,不拥有所有权,不承担相关法律责任。如若转载,请注明出处: 如若内容造成侵权/违法违规/事实不符,请点击违法举报进行投诉反馈,一经查实,立即删除!

领支付宝红包 赞助服务器费用

相关文章

  • npm install -g @vue/cli报错

    如果在安装 @vue/cli 时遇到错误,可以尝试以下步骤解决: 确保你的 npm 版本是最新的,可以使用 \\\"npm install npm@latest -g\\\" 升级 使用 \\\"sudo npm install -g @vue/cli\\\" 安装,因为有时需要超级用户权限 重启电脑后再尝试安装 清理 npm cache:\\\"npm cache clean --force\\\" 卸载已安装的 @vue/cli:\\\"npm un

    2024年02月05日
    浏览(28)
  • 【vue】npm install -g @vue/cli出现错误

    进行到npm install -g @vue/cli这一步出现错误,操作步骤如下: 1.先下载node.js 不知道有没有下载,可以在cmd输入 出现版本号则电脑已经有了node.js,没有的话去官网下一个,csdn有其他小伙伴给了下载方法 2.通过 win+s打开开始栏的搜索框,输入cmd,管理员身份运行 在cmd界面粘贴下

    2024年02月12日
    浏览(17)
  • vue使用命令npm install 报错 cb() never called!

    一.错误说明,npm本身下载就慢,有可能是网络的问题。  二.解决方案,把npm设置成淘宝镜像后,再重新npm install  三.还是不行,还会出现同样的问题,那接下来先清理一下npm缓存 四.接着使用这个命令 安装最新稳定版本的Node helper 五.再重新 npm install 六.再不行,把npm 代理再改成

    2024年02月11日
    浏览(20)
  • mac下安装vue cli脚手架并搭建一个简易项目

    1、确定本电脑下node和npm版本是否为项目所需版本。 2、下载vue脚手架 3、创建项目 如果有node,打开终端,输入node -v和npm -v , 确保node和npm的版本,(这里可以根据自己的需求去选择,如果对最新版本的内容有要求,也可以选择最新版本)如果没有node,可以点击nodejs官网去下载

    2024年02月15日
    浏览(30)
  • 使用vue-cli脚手架创建vue项目

    0.vue cli安装 vue cli2安装 vue cli2卸载 vue cli3安装 key通过命令查看当前安装的vue cli的版本 1. vue init vue init 是vue-cli2.x的初始化方式,可以使用github上面的一些模板来初始化项目 webpack是官方推荐的标准模板名。 vue-cli2.x项目向3.x迁移只需要把static目录复制到public目录下,老项目的

    2024年02月11日
    浏览(29)
  • Mac OS安装Vue CLI脚手架并创建一个基础项目教程

    前后端分离 可以大大地提高开发效率,主流的解决方案为 Vue.js+SpringBoot ,这里主要介绍 Vue在Mac端的入门教程 。软硬件环境为Macbook Air M2+macOS Vantura 13.4.1。 Vue (发音为 /vjuː/,类似 view) 是一款用于 构建用户界面 的 JavaScript 框架,是官方提供的 基于 Webpack 的 Vue 工具链 。它基

    2024年02月04日
    浏览(34)
  • Vue--》超详细教程——vue-cli脚手架的搭建与使用

    目录 vue-cli vue-cli 的安装 (可能出现的问题及其解决方法) vue-cli 创建 Vue 项目

    2024年01月17日
    浏览(28)
  • uniapp使用cli脚手架创建兼容小程序和h5的项目 自动化命令打包运行

    HbuliderX搭建项目结构: CLI搭建项目结构: CLI方式搭建uniapp项目: 大家可以看下两种方式搭建的项目文件夹目录有什么区别,上面的是HbuilderX模版搭建的小程序项目,下面的是cli搭建的项目,先把my-test项目中src下面的文件全部删除,然后我把小程序代码全部塞进了src文件夹下

    2024年02月16日
    浏览(34)
  • 2021-09-16 npm install @vue/cli 卡在了 reify:rxjs: timing reifyNode: node_modules/@vue/cli/node_modules

    ​随后产生报错 查了一堆东西,后来发现其主要原因在于npm镜像源的问题。安装完nodejs之后默认镜像源为 淘宝镜像源 使用npm命令或者nrm命令切换镜像源至npm官方镜像源即可 注:本人长期科学上网因此npm官方源速度和淘宝基本没差,如果没有科学上网手段的朋友可能需要另想

    2024年02月11日
    浏览(27)
  • 安装Nodejs、NPM、Vue脚手架详细教程

    查看自己电脑是否安装nodejs 我这里已经下载过了,没有下载过的会提示该命令不存在 可以到官网下载一下 https://nodejs.org/en/download/ 不要安装在中文路径下 如果你安装了nodejs–默认会安装NPM. 使用vue --version 查看当前是否安装vue脚手架 没有安装会提示不是内部命令 在命令行输

    2024年02月16日
    浏览(22)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

博客赞助

微信扫一扫打赏

请作者喝杯咖啡吧~博客赞助

支付宝扫一扫领取红包,优惠每天领

二维码1

领取红包

二维码2

领红包